'ATtiny13 RF receiver
$regfile = "attiny13.dat"
$crystal = 1200000
$hwstack = 8
$swstack = 4
$framesize = 4

Config Portb = &B000000010
Dim T As Byte
Dim N As Byte
Dim D As Word
Dim Ref As Word
Dim Diff As Word

Config Adc = Single , Prescaler = Auto
Config Timer0 = Pwm , Prescale = 8 , Compare B Pwm = Clear Up

  D = 0
  For N = 1 To 20
    Portb.3 = 1
    Portb.3 = 0
    Waitus 10                                               'integration time
    D = D + Getadc(3)                                       'LED2 voltage
  Next N
  Ref = D / 20
  Do
    Portb.3 = 1
    Portb.3 = 0
    Waitus 10                                               'integration time
    D = Getadc(3)                                           'LED2 voltage
    If D >= Ref Then
      Pwm0b = 0
    Else
      Diff = Ref - D
      If Diff > 2 Then
      Pwm0b = 128                                           'sound and LED1
      Waitms 50
     End If
    End If
  Loop
End